@echo off
cls
echo --------------------------------------------------------
echo .
echo .
echo .      Installing VLC Media Player - Please Wait
echo .        This window will close once installed

REM Uninstall existing VLC version
if exist "%PROGRAMFILES%\VideoLAN\VLC\uninstall.exe" "%PROGRAMFILES%\VideoLAN\VLC\uninstall.exe" /S
if exist "%PROGRAMFILES(x86)%\VideoLAN\VLC\uninstall.exe" "%PROGRAMFILES% (x86)\VideoLAN\VLC\uninstall.exe" /S
:: Wait for 20 seconds
ping -n 20 127.0.0.1 > NUL

REM Silent install for 64-bit
if defined ProgramFiles(x86) "%~dp0vlc-3.0.11-win64.exe" /language=en_GB /S
if defined ProgramFiles(x86) exit

REM Silent install for 32-bit
"%~dp0vlc-3.0.11-win32.exe" /language=en_GB /S

REM Removes VLC Desktop Icon - Windows 7 and 10
if exist "%public%\Desktop\VLC media player.lnk" del "%public%\Desktop\VLC media player.lnk" /S

REM Return exit code to SCCM
exit /B %EXIT_CODE%